define 
{
	
DEFAULT_STYLE         = 0x0	
	
//Window Styles	
WS_OVERLAPPED         = 0x0
WM_USER               = 0x400  
WS_POPUP              = 0x80000000
WS_CHILD              = 0x40000000
WS_MINIMIZE           = 0x20000000
WS_VISIBLE            = 0x10000000
WS_DISABLED           = 0x08000000
WS_CLIPSIBLINGS       = 0x04000000
WS_CLIPCHILDREN       = 0x02000000
WS_MAXIMIZE           = 0x01000000
WS_CAPTION            = 0x00C00000
WS_BORDER             = 0x00800000
WS_DLGFRAME           = 0x00400000
WS_VSCROLL            = 0x00200000
WS_HSCROLL            = 0x00100000
WS_SYSMENU            = 0x00080000
WS_THICKFRAME         = 0x00040000
WS_GROUP              = 0x00020000
WS_TABSTOP            = 0x00010000
WS_MINIMIZEBOX        = 0x00020000
WS_MAXIMIZEBOX        = 0x00010000
WS_TILED              = WS_OVERLAPPED
WS_ICONIC             = WS_MINIMIZE
WS_SIZEBOX            = WS_THICKFRAME
WS_OVERLAPPEDWIN      = 0xCC0000
WS_OVERLAPPEDWINDOW   = 0x20CD0000
WS_TILEDWINDOW        = WS_OVERLAPPEDWINDOW
WS_POPUPWINDOW        = 0x80880000
WS_CHILDWINDOW        = WS_CHILD
WS_EX_DLGMODALFRAME   = 0x00000001
WS_EX_NOPARENTNOTIFY  = 0x00000004
WS_EX_TOPMOST         = 0x00000008
WS_EX_ACCEPTFILES     = 0x00000010
WS_EX_TRANSPARENT     = 0x00000020
WS_EX_MDICHILD        = 0x00000040
WS_EX_TOOLWINDOW      = 0x00000080
WS_EX_SMCAPTION       = 0x00000080
WS_EX_WINDOWEDGE      = 0x00000100
WS_EX_CLIENTEDGE      = 0x00000200
WS_EX_CONTEXTHELP     = 0x00000400
WS_EX_RIGHT           = 0x00001000
WS_EX_LEFT            = 0x00000000
WS_EX_RTLREADING      = 0x00002000
WS_EX_LTRREADING      = 0x00000000
WS_EX_LEFTSCROLLBAR   = 0x00004000
WS_EX_RIGHTSCROLLBAR  = 0x00000000
WS_EX_CONTROLPARENT   = 0x00010000
WS_EX_STATICEDGE      = 0x00020000
WS_EX_APPWINDOW       = 0x00040000
WS_EX_OVERLAPPEDWINDOW= 0x00000300 
WS_EX_PALETTEWINDOW   = 0x00000188
WS_EX_LAYERED         = 0x00080000
WS_EX_NOINHERITLAYOUT = 0x00100000
WS_EX_LAYOUTRTL       = 0x00400000
WS_EX_COMPOSITED      = 0x02000000
WS_EX_NOACTIVATE      = 0x08000000      

// Dialog styles
DS_ABSALIGN           = 0x0001 
DS_SYSMODAL           = 0x0002
DS_3DLOOK             = 0x0004
DS_FIXEDSYS           = 0x0008
DS_NOFAILCREATE       = 0x0010
DS_LOCALEDIT          = 0x0020 
DS_SETFONT            = 0x0040  
DS_MODALFRAME         = 0x0080  
DS_NOIDLEMSG          = 0x0100  
DS_SETFOREGROUND      = 0x0200  
DS_CONTROL            = 0x0400
DS_CENTER             = 0x0800
DS_CENTERMOUSE        = 0x1000
DS_CONTEXTHELP        = 0x2000    



// Window Messages
WM_NULL     = 0x0
WM_CREATE   = 0x1
WM_DESTROY  = 0x2
WM_MOVE     = 0x3
WM_SIZE     = 0x5

WM_ACTIVATE = 0x6
 
// WM_ACTIVATE State values

WA_INACTIVE    = 0
WA_ACTIVE      = 1
WA_CLICKACTIVE = 2

WM_SETFOCUS         = 0x7
WM_KILLFOCUS        = 0x8
WM_ENABLE           = 0xA
WM_SETREDRAW        = 0xB
WM_SETTEXT          = 0xC
WM_GETTEXT          = 0xD
WM_GETTEXTLENGTH    = 0xE
WM_PAINT            = 0xF
WM_CLOSE            = 0x10
WM_QUERYENDSESSION  = 0x11
WM_QUIT             = 0x12
WM_QUERYOPEN        = 0x13
WM_ERASEBKGND       = 0x14
WM_SYSCOLORCHANGE   = 0x15
WM_ENDSESSION       = 0x16
WM_SHOWWINDOW       = 0x18
WM_WININICHANGE     = 0x1A
WM_SETTINGCHANGE    = WM_WININICHANGE
WM_DEVMODECHANGE    = 0x1B
WM_ACTIVATEAPP      = 0x1C
WM_FONTCHANGE       = 0x1D
WM_TIMECHANGE       = 0x1E
WM_CANCELMODE       = 0x1F
WM_SETCURSOR        = 0x20
WM_MOUSEACTIVATE    = 0x21
WM_CHILDACTIVATE    = 0x22
WM_QUEUESYNC        = 0x23
WM_GETMINMAXINFO    = 0x24
WM_PAINTICON        = 0x26
WM_ICONERASEBKGND   = 0x27
WM_NEXTDLGCTL       = 0x28
WM_SPOOLERSTATUS    = 0x2A
WM_DRAWITEM         = 0x2B
WM_MEASUREITEM      = 0x2C
WM_DELETEITEM       = 0x2D
WM_VKEYTOITEM       = 0x2E
WM_CHARTOITEM       = 0x2F
WM_SETFONT          = 0x30
WM_GETFONT          = 0x31
WM_SETHOTKEY        = 0x32
WM_GETHOTKEY        = 0x33
WM_QUERYDRAGICON    = 0x37
WM_COMPAREITEM      = 0x39
WM_GETOBJECT        = 0x3D
WM_COMPACTING       = 0x41
WM_OTHERWINDOWCREATED   = 0x42
WM_OTHERWINDOWDESTROYED = 0x43
WM_COMMNOTIFY           = 0x44
WM_WINDOWPOSCHANGING = 0x46
WM_WINDOWPOSCHANGED  = 0x47
WM_POWER             = 0x48

// notifications passed In low Word Of lParam On WM_COMMNOTIFY messages
CN_RECEIVE  = 0x1
CN_TRANSMIT = 0x2
CN_EVENT    = 0x4

// wParam For WM_POWER window message And DRV_POWER driver notification
PWR_OK             = 1
PWR_FAIL           = -1
PWR_SUSPENDREQUEST = 1
PWR_SUSPENDRESUME  = 2
PWR_CRITICALRESUME = 3

WM_COPYDATA                   = 0x4A
WM_CANCELJOURNAL              = 0x4B
WM_NOTIFY                     = 0x4E
WM_INPUTLANGUAGECHANGEREQUEST = 0x50
WM_INPUTLANGCHANGEREQUEST     = 0x50
WM_INPUTLANGUAGECHANGE        = 0x51
WM_INPUTLANGCHANGE            = 0x51
WM_TCARD                      = 0x52
WM_HELP                       = 0x53
WM_USERCHANGED                = 0x54
WM_NOTIFYFORMAT               = 0x55

WM_CONTEXTMENU      = 0x07B
WM_STYLECHANGING    = 0x07C
WM_STYLECHANGED     = 0x07D
WM_DISPLAYCHANGE    = 0x07E

WM_GETICON          = 0x07F
WM_SETICON          = 0x080
WM_NCCREATE         = 0x081
WM_NCDESTROY        = 0x082
WM_NCCALCSIZE       = 0x083
WM_NCHITTEST        = 0x084
WM_NCPAINT          = 0x085
WM_NCACTIVATE       = 0x086
WM_GETDLGCODE       = 0x087
WM_SYNCPAINT        = 0x088
WM_NCMOUSEMOVE      = 0x0A0
WM_NCLBUTTONDOWN    = 0x0A1
WM_NCLBUTTONUP      = 0x0A2
WM_NCLBUTTONDBLCLK  = 0x0A3
WM_NCRBUTTONDOWN    = 0x0A4
WM_NCRBUTTONUP      = 0x0A5
WM_NCRBUTTONDBLCLK  = 0x0A6
WM_NCMBUTTONDOWN    = 0x0A7
WM_NCMBUTTONUP      = 0x0A8
WM_NCMBUTTONDBLCLK  = 0x0A9
WM_NCXBUTTONDOWN    = 0x0AB
WM_NCXBUTTONUP      = 0x0AC
WM_NCXBUTTONDBLCLK  = 0x0AD
WM_INPUT            = 0x0FF
WM_KEYFIRST         = 0x100
WM_KEYDOWN          = 0x100
WM_KEYUP            = 0x101
WM_CHAR             = 0x102
WM_DEADCHAR         = 0x103
WM_SYSKEYDOWN       = 0x104
WM_SYSKEYUP         = 0x105
WM_SYSCHAR          = 0x106
WM_SYSDEADCHAR      = 0x107
WM_UNICHAR          = 0x0109
WM_KEYLAST          = 0x0109
UNICODE_NOCHAR      = 0x0FFFF
WM_INITDIALOG       = 0x110
WM_COMMAND          = 0x111
WM_SYSCOMMAND       = 0x112
WM_TIMER            = 0x113
WM_HSCROLL          = 0x114
WM_VSCROLL          = 0x115
WM_INITMENU         = 0x116
WM_INITMENUPOPUP    = 0x117
WM_MENUSELECT       = 0x11F
WM_MENUCHAR         = 0x120
WM_ENTERIDLE        = 0x121
WM_MENURBUTTONUP    = 0x0122
WM_MENUDRAG         = 0x0123
WM_MENUGETOBJECT    = 0x0124
WM_UNINITMENUPOPUP  = 0x0125
WM_MENUCOMMAND      = 0x0126
WM_CHANGEUISTATE    = 0x0127
WM_UPDATEUISTATE    = 0x0128
WM_QUERYUISTATE     = 0x0129
WM_CTLCOLORMSGBOX   = 0x132
WM_CTLCOLOREDIT     = 0x133
WM_CTLCOLORLISTBOX  = 0x134
WM_CTLCOLORBTN      = 0x135
WM_CTLCOLORDLG      = 0x136
WM_CTLCOLORSCROLLBAR= 0x137
WM_CTLCOLORSTATIC   = 0x138
WM_MOUSEFIRST       = 0x200
WM_MOUSEMOVE        = 0x200
WM_LBUTTONDOWN      = 0x201
WM_LBUTTONUP        = 0x202
WM_LBUTTONDBLCLK    = 0x203
WM_RBUTTONDOWN      = 0x204
WM_RBUTTONUP        = 0x205
WM_RBUTTONDBLCLK    = 0x206
WM_MBUTTONDOWN      = 0x207
WM_MBUTTONUP        = 0x208
WM_MBUTTONDBLCLK    = 0x209
WM_MOUSEWHEEL       = 0x20A
WM_XBUTTONDOWN      = 0x20B
WM_XBUTTONUP        = 0x20C
WM_XBUTTONDBLCLK    = 0x20D
WM_MOUSELAST        = 0x20D
WM_PARENTNOTIFY     = 0x210
WM_ENTERMENULOOP    = 0x211
WM_EXITMENULOOP     = 0x212

WM_SIZING           = 0x214
WM_CAPTURECHANGED   = 0x215
WM_MOVING           = 0x216

WM_POWERBROADCAST   = 0x218
WM_DEVICECHANGE     = 0x219
WM_MDICREATE        = 0x220
WM_MDIDESTROY       = 0x221
WM_MDIACTIVATE      = 0x222
WM_MDIRESTORE       = 0x223
WM_MDINEXT          = 0x224
WM_MDIMAXIMIZE      = 0x225
WM_MDITILE          = 0x226
WM_MDICASCADE       = 0x227
WM_MDIICONARRANGE   = 0x228
WM_MDIGETACTIVE     = 0x229
WM_MDISETMENU       = 0x230
WM_ENTERSIZEMOVE    = 0x231
WM_EXITSIZEMOVE     = 0x232
WM_DROPFILES        = 0x233
WM_MDIREFRESHMENU   = 0x234

WM_MOUSEHOVER        = 0x2A1
WM_MOUSELEAVE        = 0x2A3
WM_WTSSESSION_CHANGE = 0x02B1
WM_TABLET_FIRST      = 0x02c0
WM_TABLET_LAST       = 0x02df

WM_CUT              = 0x300
WM_COPY             = 0x301
WM_PASTE            = 0x302
WM_CLEAR            = 0x303
WM_UNDO             = 0x304
WM_RENDERFORMAT     = 0x305
WM_RENDERALLFORMATS = 0x306
WM_DESTROYCLIPBOARD = 0x307
WM_DRAWCLIPBOARD    = 0x308
WM_PAINTCLIPBOARD   = 0x309
WM_VSCROLLCLIPBOARD = 0x30A
WM_SIZECLIPBOARD    = 0x30B
WM_ASKCBFORMATNAME  = 0x30C
WM_CHANGECBCHAIN    = 0x30D
WM_HSCROLLCLIPBOARD = 0x30E
WM_QUERYNEWPALETTE  = 0x30F
WM_PALETTEISCHANGING= 0x310
WM_PALETTECHANGED   = 0x311
WM_HOTKEY           = 0x312
WM_PRINT            = 0x317
WM_PRINTCLIENT      = 0x318
WM_APPCOMMAND       = 0x319
WM_THEMECHANGED     = 0x31A

WM_HANDHELDFIRST    = 0x0358
WM_HANDHELDLAST     = 0x035F
WM_AFXFIRST         = 0x0360
WM_AFXLAST          = 0x037F

WM_PENWINFIRST      = 0x380
WM_PENWINLAST       = 0x38F

WM_APP              = 0x08000

WMSZ_LEFT        = 1
WMSZ_RIGHT       = 2
WMSZ_TOP         = 3
WMSZ_TOPLEFT     = 4
WMSZ_TOPRIGHT    = 5
WMSZ_BOTTOM      = 6
WMSZ_BOTTOMLEFT  = 7
WMSZ_BOTTOMRIGHT = 8

WMSZ_LEFT        = 1
WMSZ_RIGHT       = 2
WMSZ_TOP         = 3
WMSZ_TOPLEFT     = 4
WMSZ_TOPRIGHT    = 5
WMSZ_BOTTOM      = 6
WMSZ_BOTTOMLEFT  = 7
WMSZ_BOTTOMRIGHT = 8

// Static Control Constants
SS_LEFT            = 0x00000000
SS_CENTER          = 0x00000001
SS_RIGHT           = 0x00000002
SS_ICON            = 0x00000003
SS_BLACKRECT       = 0x00000004
SS_GRAYRECT        = 0x00000005
SS_WHITERECT       = 0x00000006
SS_BLACKFRAME      = 0x00000007
SS_GRAYFRAME       = 0x00000008
SS_WHITEFRAME      = 0x00000009
SS_USERITEM        = 0x0000000A
SS_SIMPLE          = 0x0000000B
SS_LEFTNOWORDWRAP  = 0x0000000C
SS_NOWORDWRAP      = SS_LEFTNOWORDWRAP
SS_OWNERDRAW       = 0x0000000D
SS_BITMAP          = 0x0000000E
SS_ENHMETAFILE     = 0x0000000F
SS_ETCHEDHORZ      = 0x00000010
SS_ETCHEDVERT      = 0x00000011
SS_ETCHEDFRAME     = 0x00000012
SS_REALSIZECONTROL = 0x00000040
SS_NOPREFIX        = 0x00000080
SS_NOTIFY          = 0x00000100
SS_CENTERIMAGE     = 0x00000200
SS_RIGHTJUST       = 0x00000400
SS_REALSIZEIMAGE   = 0x00000800
SS_REALSIZE        = SS_REALSIZEIMAGE
SS_SUNKEN          = 0x00001000
SS_ENDELLIPSIS     = 0x00004000
SS_PATHELLIPSIS    = 0x00008000
SS_WORDELLIPSIS    = 0x0000C000
SS_ELLIPSISMASK    = 0x0000C000

// Static Control Mesages
STM_SETICON  = 0x170
STM_GETICON  = 0x171
STM_SETIMAGE = 0x172
STM_GETIMAGE = 0x173
STM_MSGMAX   = 0x174
                                     
                  
//Combo Box styles
CBS_SIMPLE            = 0x1
CBS_DROPDOWN          = 0x2
CBS_DROPDOWNLIST      = 0x3
CBS_OWNERDRAWFIXED    = 0x10
CBS_OWNERDRAWVARIABLE = 0x20
CBS_AUTOHSCROLL       = 0x40
CBS_OEMCONVERT        = 0x80
CBS_SORT              = 0x100
CBS_HASSTRINGS        = 0x200
CBS_NOINTEGRALHEIGHT  = 0x400
CBS_DISABLENOSCROLL   = 0x800
CBS_UPPERCASE         = 0x00002000
CBS_LOWERCASE         = 0x00004000

// Combo Box messages
CB_GETEDITSEL            = 0x140
CB_LIMITTEXT             = 0x141
CB_SETEDITSEL            = 0x142
CB_ADDSTRING             = 0x143
CB_DELETESTRING          = 0x144
CB_DIR                   = 0x145
CB_GETCOUNT              = 0x146
CB_GETCURSEL             = 0x147
CB_GETLBTEXT             = 0x148
CB_GETLBTEXTLEN          = 0x149
CB_INSERTSTRING          = 0x14A
CB_RESETCONTENT          = 0x14B
CB_FINDSTRING            = 0x14C
CB_SELECTSTRING          = 0x14D
CB_SETCURSEL             = 0x14E
CB_SHOWDROPDOWN          = 0x14F
CB_GETITEMDATA           = 0x150
CB_SETITEMDATA           = 0x151
CB_GETDROPPEDCONTROLRECT = 0x152
CB_SETITEMHEIGHT         = 0x153
CB_GETITEMHEIGHT         = 0x154
CB_SETEXTENDEDUI         = 0x155
CB_GETEXTENDEDUI         = 0x156
CB_GETDROPPEDSTATE       = 0x157
CB_FINDSTRINGEXACT       = 0x158
CB_SETLOCALE             = 0x159
CB_GETLOCALE             = 0x15A
CB_GETTOPINDEX           = 0x15B
CB_SETTOPINDEX           = 0x15C
CB_GETHORIZONTALEXTENT   = 0x15D
CB_SETHORIZONTALEXTENT   = 0x15E
CB_GETDROPPEDWIDTH       = 0x15F
CB_SETDROPPEDWIDTH       = 0x160
CB_INITSTORAGE           = 0x161
CB_MULTIPLEADDSTRING     = 0x163
CB_GETCOMBOBOXINFO       = 0x164
CB_MSGMAX                = 0x165
                                        
// Edit Control Styles
ES_LEFT        = 0x0
ES_CENTER      = 0x1
ES_RIGHT       = 0x2
ES_MULTILINE   = 0x4
ES_UPPERCASE   = 0x8
ES_LOWERCASE   = 0x10
ES_PASSWORD    = 0x20
ES_AUTOVSCROLL = 0x40
ES_AUTOHSCROLL = 0x80
ES_NOHIDESEL   = 0x100
ES_OEMCONVERT  = 0x400
ES_READONLY    = 0x800
ES_WANTRETURN  = 0x1000
ES_NUMBER      = 0x2000

// Edit Control Notification Codes
EN_SETFOCUS  = 0x100
EN_KILLFOCUS = 0x200
EN_CHANGE    = 0x300
EN_UPDATE    = 0x400
EN_ERRSPACE  = 0x500
EN_MAXTEXT   = 0x501
EN_HSCROLL   = 0x601
EN_VSCROLL   = 0x602

EN_ALIGN_LTR_EC     = 0x0700
EN_ALIGN_RTL_EC     = 0x0701

// Edit control EM_SETMARGIN parameters
EC_LEFTMARGIN  = 0x00000001
EC_RIGHTMARGIN = 0x00000002
EC_USEFONTINFO = 0x0000FFFF

// wParam Of EM_GET/SETIMESTATUS
EMSIS_COMPOSITIONSTRING        = 0x0001

// lParam For EMSIS_COMPOSITIONSTRING
EIMES_GETCOMPSTRATONCE         = 0x0001
EIMES_CANCELCOMPSTRINFOCUS     = 0x0002
EIMES_COMPLETECOMPSTRKILLFOCUS = 0x0004

// Edit Control Messages
EM_GETSEL              = 0xB0
EM_SETSEL              = 0xB1
EM_GETRECT             = 0xB2
EM_SETRECT             = 0xB3
EM_SETRECTNP           = 0xB4
EM_SCROLL              = 0xB5
EM_LINESCROLL          = 0xB6
EM_SCROLLCARET         = 0xB7
EM_GETMODIFY           = 0xB8
EM_SETMODIFY           = 0xB9
EM_GETLINECOUNT        = 0xBA
EM_LINEINDEX           = 0xBB
EM_SETHANDLE           = 0xBC
EM_GETHANDLE           = 0xBD
EM_GETTHUMB            = 0xBE
EM_LINELENGTH          = 0xC1
EM_REPLACESEL          = 0xC2
EM_GETLINE             = 0xC4
EM_LIMITTEXT           = 0xC5
EM_CANUNDO             = 0xC6
EM_UNDO                = 0xC7
EM_FMTLINES            = 0xC8
EM_LINEFROMCHAR        = 0xC9
EM_SETTABSTOPS         = 0xCB
EM_SETPASSWORDCHAR     = 0xCC
EM_EMPTYUNDOBUFFER     = 0xCD
EM_GETFIRSTVISIBLELINE = 0xCE
EM_SETREADONLY         = 0xCF
EM_SETWORDBREAKPROC    = 0xD0
EM_GETWORDBREAKPROC    = 0xD1
EM_GETPASSWORDCHAR     = 0xD2
EM_SETMARGINS          = 0xD3
EM_GETMARGINS          = 0xD4
EM_SETLIMITTEXT        = EM_LIMITTEXT
EM_GETLIMITTEXT        = 0xD5
EM_POSFROMCHAR         = 0xD6
EM_CHARFROMPOS         = 0xD7
EM_SETIMESTATUS        = 0xD8
EM_GETIMESTATUS        = 0xD9

// EDITWORDBREAKPROC code values
WB_LEFT        = 0
WB_RIGHT       = 1
WB_ISDELIMITER = 2    

// Dialog Box Command IDs
IDOK       = 1
IDCANCEL   = 2
IDABORT    = 3
IDRETRY    = 4
IDIGNORE   = 5
IDYES      = 6
IDNO       = 7
IDCLOSE    = 8
IDHELP     = 9
IDTRYAGAIN = 10
IDCONTINUE = 11         


// Menu flags For Add/Check/EnableMenuItem()
MF_INSERT          = Ox0
MF_CHANGE          = Ox80
MF_APPEND          = Ox100
MF_DELETE          = Ox200
MF_REMOVE          = Ox1000

MF_BYCOMMAND       = Ox0
MF_BYPOSITION      = Ox400

MF_SEPARATOR       = Ox800

MF_ENABLED         = Ox0
MF_GRAYED          = Ox1
MF_DISABLED        = Ox2

MF_UNCHECKED       = Ox0
MF_CHECKED         = Ox8
MF_USECHECKBITMAPS = Ox200

MF_STRING          = Ox0
MF_BITMAP          = Ox4
MF_OWNERDRAW       = Ox100

MF_POPUP           = Ox10
MF_MENUBARBREAK    = Ox20
MF_MENUBREAK       = Ox40

MF_UNHILITE        = Ox0
MF_HILITE          = Ox80

MF_DEFAULT         = Ox00001000
MF_SYSMENU         = Ox00002000
MF_HELP            = Ox00004000
MF_RIGHTJUSTIFY    = Ox00004000
MF_MOUSESELECT     = Ox00008000

MF_END             = Ox80

MFT_STRING         = MF_STRING
MFT_BITMAP         = MF_BITMAP
MFT_MENUBARBREAK   = MF_MENUBARBREAK
MFT_MENUBREAK      = MF_MENUBREAK
MFT_OWNERDRAW      = MF_OWNERDRAW
MFT_RADIOCHECK     = Ox00000200
MFT_SEPARATOR      = MF_SEPARATOR
MFT_RIGHTORDER     = Ox00002000
MFT_RIGHTJUSTIFY   = MF_RIGHTJUSTIFY

// Menu flags For Add/Check/EnableMenuItem()
MFS_GRAYED    = Ox00000003
MFS_DISABLED  = MFS_GRAYED
MFS_CHECKED   = MF_CHECKED
MFS_HILITE    = MF_HILITE
MFS_ENABLED   = MF_ENABLED
MFS_UNCHECKED = MF_UNCHECKED
MFS_UNHILITE  = MF_UNHILITE
MFS_DEFAULT   = MF_DEFAULT
                                    
// Menu flags For Add/Check/EnableMenuItem()
MF_INSERT          = 0x0
MF_CHANGE          = 0x80
MF_APPEND          = 0x100
MF_DELETE          = 0x200
MF_REMOVE          = 0x1000

MF_BYCOMMAND       = 0x0
MF_BYPOSITION      = 0x400

MF_SEPARATOR       = 0x800

MF_ENABLED         = 0x0
MF_GRAYED          = 0x1
MF_DISABLED        = 0x2

MF_UNCHECKED       = 0x0
MF_CHECKED         = 0x8
MF_USECHECKBITMAPS = 0x200

MF_STRING          = 0x0
MF_BITMAP          = 0x4
MF_OWNERDRAW       = 0x100

MF_POPUP           = 0x10
MF_MENUBARBREAK    = 0x20
MF_MENUBREAK       = 0x40

MF_UNHILITE        = 0x0
MF_HILITE          = 0x80

MF_DEFAULT         = 0x00001000
MF_SYSMENU         = 0x00002000
MF_HELP            = 0x00004000
MF_RIGHTJUSTIFY    = 0x00004000
MF_MOUSESELECT     = 0x00008000

MF_END             = 0x80

MFT_STRING         = MF_STRING
MFT_BITMAP         = MF_BITMAP
MFT_MENUBARBREAK   = MF_MENUBARBREAK
MFT_MENUBREAK      = MF_MENUBREAK
MFT_OWNERDRAW      = MF_OWNERDRAW
MFT_RADIOCHECK     = 0x00000200
MFT_SEPARATOR      = MF_SEPARATOR
MFT_RIGHTORDER     = 0x00002000
MFT_RIGHTJUSTIFY   = MF_RIGHTJUSTIFY

// Menu flags For Add/Check/EnableMenuItem()
MFS_GRAYED    = 0x00000003
MFS_DISABLED  = MFS_GRAYED
MFS_CHECKED   = MF_CHECKED
MFS_HILITE    = MF_HILITE
MFS_ENABLED   = MF_ENABLED
MFS_UNCHECKED = MF_UNCHECKED
MFS_UNHILITE  = MF_UNHILITE
MFS_DEFAULT   = MF_DEFAULT
                        
PBM_SETRANGE    = 0x401
PBM_SETPOS      = 0x402
PBM_DELTAPOS    = 0x403
PBM_SETSTEP     = 0x404
PBM_STEPIT      = 0x405
PBM_SETRANGE32  = 0x406
                                 
          


 
}