include{"win32api.g"}
include{"WinGUI.g"}

import "user32.dll" {
uint MessageBoxA (uint , uint , uint, uint) ->MessageBox
}

import "kernel32.dll" {
    uint ExitProcess (uint)
    }




define {

IDOK       = 1
IDCANCEL   = 2
IDTEXT     = 100
BN_CLICKED = 0
BS_DEFAULT = 1
MF_ENABLED = 0
WM_COMMAND = 273

ID_OPEN    = 401
ID_EXIT    = 402
ID_OPTION1 = 403
ID_OPTION2 = 404
ID_HELP    = 405
ID_ABOUT   = 406
}




func dlgproc(uint hDlg,uint Msg,uint wParam,uint lParam)
{
  if Msg==$WM_COMMAND    {
         switch  lParam
             {
               case $IDOK
                {
                 str Text
                 Text.reserve(512)
                 Text.copy(Control_Get_Text (hDlg, $IDTEXT))

                  MessageBox (hDlg, Text.ptr(), "Hello!".ptr(),0)
                }

               case $IDCANCEL
                {
                 ExitProcess (0)
                }

               case $ID_OPTION1
                 {
                  MessageBox (hDlg, "Option1".ptr(), "".ptr(),0)
                 }
              case $ID_OPTION2
                 {
                  MessageBox (hDlg, "Option2".ptr(), "".ptr(),0)
                 }
              case $ID_HELP
                 {
                  MessageBox (hDlg, "Help".ptr(), "".ptr(),0)
                 }

                case $ID_OPEN
                 {
                  MessageBox (hDlg, "Open".ptr(), "".ptr(),0)
                 }

              case $ID_ABOUT
                 {
                  MessageBox (hDlg, "About".ptr(), "".ptr(),0)
                 }

               case $ID_EXIT
                 {
                  ExitProcess (0)
                 }




              }
          }


 if Msg==$WM_CLOSE
  {
  }
}


func start< main >
{
uint hDlg
uint Result
uint hMenu
uint hPopup1
uint hPopup2


hMenu= Menu_New_Bar() //   

hPopup1= Menu_New_PopUp()

Menu_Add_PopUp  (hMenu, "&File".ptr(), hPopup1, $MF_ENABLED )
Menu_Add_String (hPopup1, "&Open".ptr(), $ID_OPEN, $MF_ENABLED, $DEFAULT_STYLE)
Menu_Add_String (hPopup1, "&Exit".ptr(), $ID_EXIT, $MF_ENABLED, $DEFAULT_STYLE)
Menu_Add_String (hPopup1, "-".ptr(),      0, 0,$DEFAULT_STYLE)

hPopup2= Menu_New_PopUp()

Menu_Add_PopUp   (hPopup1, "&More Options".ptr(), hPopup2, $MF_ENABLED)


Menu_Add_String  (hPopup2, "Option &1".ptr(), $ID_OPTION1, $MF_ENABLED,$DEFAULT_STYLE)
Menu_Add_String  (hPopup2, "Option &2".ptr(), $ID_OPTION2, $MF_ENABLED,$DEFAULT_STYLE)
hPopup1= Menu_New_PopUp()

Menu_Add_PopUp  (hMenu, "&Help".ptr(), hPopup1, $MF_ENABLED)
Menu_Add_String (hPopup1, "&Help".ptr(), $ID_HELP, $MF_ENABLED,$DEFAULT_STYLE)
Menu_Add_String (hPopup1, "-".ptr(),      0, 0,$DEFAULT_STYLE)
Menu_Add_String (hPopup1, "&About".ptr(), $ID_ABOUT, $MF_ENABLED,$DEFAULT_STYLE)

hDlg= Dialog_New (0, "What is your name?".ptr(),0 ,0, 160, 60, $DS_CENTER | $WS_CAPTION | $WS_SYSMENU | $WS_MINIMIZEBOX,$DEFAULT_STYLE)
Control_Add_TextBox (hDlg, $IDTEXT, "".ptr(), 14,  12, 134, 12, $DEFAULT_STYLE, $DEFAULT_STYLE)
Control_Add_Button  (hDlg, $IDOK, "OK".ptr(), 34, 32, 40, 14,$DEFAULT_STYLE,$DEFAULT_STYLE)
Control_Add_Button  (hDlg, $IDCANCEL, "Cancel".ptr(), 84, 32, 40, 14,$DEFAULT_STYLE,$DEFAULT_STYLE )
Menu_Add_Attach (hMenu, hDlg)
Dialog_Show_Modal(hDlg, CallBack("dlgproc".ptr()))








}
